( atmega16 )

40 constant iosize
400 constant ramsize
2000 constant flashsize
200 constant eepromsize
40 constant pagesize

5f constant sreg
5e constant sph
5d constant spl
5c constant ocr0
5b constant gicr
  7 constant int1
  6 constant int0
  5 constant int2
  1 constant ivsel
  0 constant ivce
5a constant gifr
  7 constant intf1
  6 constant intf0
  5 constant intf2
59 constant timsk
  7 constant ocie2
  6 constant toie2
  5 constant ticie1
  4 constant ocie1a
  3 constant ocie1b
  2 constant toie1
  1 constant ocie0
  0 constant toie0
58 constant tifr
  7 constant ocf2
  6 constant tov2
  5 constant icf1
  4 constant ocf1a
  3 constant ocf1b
  2 constant tov1
  1 constant ocf0
  0 constant tov0
57 constant spmcr
  7 constant spmie
  6 constant rwwsb
  4 constant rwwsre
  3 constant blbset
  2 constant pgwrt
  1 constant pgers
  0 constant spmen
56 constant twcr
  7 constant twint
  6 constant twea
  5 constant twsta
  4 constant twsto
  3 constant twwc
  2 constant twen
  0 constant twie
55 constant mcucr
  7 constant sm2
  6 constant se2
  5 constant sm1
  4 constant sm0
  3 constant isc11
  2 constant isc10
  1 constant isc01
  0 constant isc00
54 constant mcucsr
  7 constant jtd
  6 constant isc2
  4 constant jtrf
  3 constant wdrf
  2 constant borf
  1 constant extrf
  0 constant porf
53 constant tccr0
  7 constant foc0
  6 constant wgm00
  5 constant com01
  4 constant com00
  3 constant wgm01
  2 constant cs02
  1 constant cs01
  0 constant cs00
52 constant tcnt0
51 constant osccal
51 constant ocdr
50 constant sfior
  7 constant adts2
  6 constant adts1
  5 constant adts0
  3 constant acme
  2 constant pud
  1 constant psr2
  0 constant psr10
4f constant tccr1a
  7 constant com1a1
  6 constant com1a0
  5 constant com1b1
  4 constant com1b0
  3 constant foc1a
  2 constant foc1b
  1 constant wgm11
  0 constant wgm10
4e constant tccr1b
  7 constant icnc1
  6 constant ices1
  4 constant wgm13
  3 constant wgm12
  2 constant cs12
  1 constant cs11
  0 constant cs10
4d constant tcnt1h
4c constant tcnt1l
2b constant ocr1ah
4a constant ocr1al
49 constant ocr1bh
48 constant ocr1bl
47 constant icr1h
46 constant icr1l
45 constant tccr2
  7 constant foc2
  6 constant wgm20
  5 constant com21
  4 constant com20
  3 constant wgm21
  2 constant cs22
  1 constant cs21
  0 constant cs20
44 constant tcnt2
43 constant ocr2
42 constant assr
  3 constant as2
  2 constant tcn2ub
  1 constant ocr2ub
  0 constant tcr2ub
41 constant wdtcr
  4 constant wdtoe
  3 constant wde
  2 constant wdp2
  1 constant wdp1
  0 constant wdp0
40 constant ubrrh
  7 constant ursel
  3 constant ubrr11
  2 constant ubrr10
  1 constant ubrr9
  0 constant ubrr8
40 constant ucsrc
  7 constant ursel
  6 constant umsel
  5 constant upm1
  4 constant upm0
  3 constant usbs
  2 constant ucsz1
  1 constant ucsz0
  0 constant ucpol
3f constant eearh
3e constant eearl
3d constant eedr
3c constant eecr
  3 constant eerie
  2 constant eemwe
  1 constant eewe
  0 constant eere
3b constant porta
3a constant ddra
39 constant pina
38 constant portb
37 constant ddrb
36 constant pinb
35 constant portc
34 constant ddrc
33 constant pinc
32 constant portd
31 constant ddrd
30 constant pind
2f constant spdr
2e constant spsr
  7 constant spif
  6 constant wcol
  0 constant spi2x
2d constant spcr
  7 constant spie
  6 constant spe
  5 constant dord
  4 constant mstr
  3 constant cpol
  2 constant cpha
  1 constant spr1
  0 constant spr0
2c constant udr
2b constant ucsra
  7 constant rxc
  6 constant txc
  5 constant udre
  4 constant fe
  3 constant dor
  2 constant pe
  1 constant u2x
  0 constant mpcm
2a constant ucsrb
  7 constant rxcie
  6 constant txcie
  5 constant udrie
  4 constant rxen
  3 constant txen
  2 constant ucsz2
  1 constant rxb8
  0 constant txb8
29 constant ubrrl
28 constant acsr
  7 constant acd
  6 constant acbg
  5 constant aco
  4 constant aci
  3 constant acie
  2 constant acic
  1 constant acis1
  0 constant acis0
27 constant admux
  7 constant refs1
  6 constant refs0
  5 constant adlar
  4 constant mux4
  3 constant mux3
  2 constant mux2
  1 constant mux1
  0 constant mux0
26 constant adcsra
  7 constant aden
  6 constant adsc
  5 constant adate
  4 constant adif
  3 constant adie
  2 constant adps2
  1 constant adps1
  0 constant adps0
25 constant adch
24 constant adcl
23 constant twdr
22 constant twar
  7 constant twa6
  6 constant twa5
  5 constant twa4
  4 constant twa3
  3 constant twa2
  2 constant twa1
  1 constant twa0
  0 constant twgce
21 constant twsr
  7 constant tws7
  6 constant tws6
  5 constant tws5
  4 constant tws4
  3 constant tws3
  1 constant twps1
  0 constant twps0
20 constant twbr

00 constant reset
02 constant int0
04 constant int1
06 constant timer2_compare
08 constant timer2_overflow
0a constant timer1_capture
0c constant timer1_compare_a
0e constant timer1_compare_b
10 constant timer1_overflow
12 constant timer0_overflow
14 constant spi_stc
16 constant usart_rxc
18 constant usart_udre
1a constant usart_txc
1c constant adc
1e constant eeprom_ready
20 constant analog_comparator
22 constant twi
24 constant int2
26 constant timer0_compare
28 constant spm_ready

2a constant start

